Bug 148899 - [NEW PORT] audio/mp3lint: A configurable tool to check collections of audio files
Summary: [NEW PORT] audio/mp3lint: A configurable tool to check collections of audio f...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-24 15:30 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2010-08-20 15:04 UTC (History)
0 users

See Also:


Attachments
mp3lint-0.9.shar (3.11 KB, text/plain)
2010-07-24 15:30 UTC, Sunpoet Po-Chuan Hsieh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2010-07-24 15:30:02 UTC
*** Note that dependency audio/libmp3-archive-perl has been submitted as PR/148898.

mp3lint is a tool to check collections of audio files for various problems. It
is highly configurable, allowing you to specify your preferred format for
filenames, minimum bitrate, tests to ignore, etc.

Formats checked are currently mp3, ogg, wav, flac, au, and m3u playlists.
mp3lint is implemented as separate tools (perl modules), each of which
implements a set of tests. There are a total of 32 different tests.

WWW:	http://erislabs.net/ianb/projects/mp3lint/

Generated with FreeBSD Port Tools 0.99
Comment 1 Sylvio Cesar Teixeira freebsd_committer 2010-07-25 02:30:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-08-20 14:48:30 UTC
sylvio      2010-08-20 13:48:23 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/mp3lint        Makefile distinfo pkg-descr pkg-plist 
  Log:
  - mp3lint is a tool to check collections of audio files for various problems. It is highly configurable, allowing you to specify your preferred format for filenames, minimum bitrate, tests to ignore, etc.
  
  Formats checked are currently mp3, ogg, wav, flac, au, and m3u playlists.
  mp3lint is implemented as separate tools (perl modules), each of which implements a set of testes. There are a total of 32 different tests.
  
  WWW:    http://erislabs.net/ianb/projects/mp3lint/
  
  PR:             ports/148899
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net>
  
  Revision  Changes    Path
  1.1131    +1 -0      ports/audio/Makefile
  1.1       +30 -0     ports/audio/mp3lint/Makefile (new)
  1.1       +3 -0      ports/audio/mp3lint/distinfo (new)
  1.1       +9 -0      ports/audio/mp3lint/pkg-descr (new)
  1.1       +24 -0     ports/audio/mp3lint/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Sylvio Cesar Teixeira freebsd_committer 2010-08-20 15:04:05 UTC
State Changed
From-To: open->closed

New port added. Thanks!